#### Previous topic

scipy.stats.rv_discrete.interval

#### Next topic

scipy.stats.alpha

# scipy.stats.rv_discrete.__call__

`rv_discrete.``__call__`(*args, **kwds)

  Freeze the distribution for the given arguments.

  Parameters:

  arg1, arg2, arg3,... : array_like

  > The shape parameter(s) for the distribution. Should include all the non-optional arguments, may include `loc` and `scale`.

  Returns:

  rv_frozen : rv_frozen instance

  > The frozen distribution.